Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtDelete

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtDelete

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtDelete

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag associated with a Domain-Delete command.

Title: EPP 1.0 Related Domain - delete tag

Description: The EPPRelatedDomainExtDelete object represents the collection of domains that must be deleted atomically. As such it is composed of a collection of `String` objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_DOMAIN_NAME`
`static java.lang.String` | `ELM_NAME` Element tag name for create

Constructor Summary
`EPPRelatedDomainExtDelete()` Default constructor
`EPPRelatedDomainExtDelete(java.util.List aDomains)` Constructor with a list of domain names to be deleted.

Method Summary
`java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtDelete
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from the list related domain names to be deleted to given DOM Document
`boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtDelete.
`java.util.List` | `getDomains()` Returns the list of related domain names to be deleted
`void` | `setDomains(java.util.List aDomains)` Sets the list of related domain names to be deleted
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for create

  See Also:
    Constant Field Values

### ELM_DOMAIN_NAME

    public static final java.lang.String ELM_DOMAIN_NAME

See Also:
  Constant Field Values

Constructor Detail

### EPPRelatedDomainExtDelete

    public EPPRelatedDomainExtDelete()

  Default constructor

### EPPRelatedDomainExtDelete

    public EPPRelatedDomainExtDelete(java.util.List aDomains)

  Constructor with a list of domain names to be deleted.

  Parameters:
    `aDomains` -

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPRelatedDomainExtDelete

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from the list related domain names to be deleted to given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### equals

    public boolean equals(java.lang.Object aObj)

  A deep comparison of this with another EPPRelatedDomainExtDelete.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getDomains

    public java.util.List getDomains()

  Returns the list of related domain names to be deleted

  Returns:
    the relatedDomains

### setDomains

    public void setDomains(java.util.List aDomains)

  Sets the list of related domain names to be deleted

  Parameters:
    `aDomains` - the relatedDomains to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.